#!/bin/bash

DIRECTORY=$(dirname $0)
. $DIRECTORY/play.conf

CONVERTER="/usr/bin/qemu-arm /opt/MD380Tools/md380-emu"
PLAYER="/opt/Tools/digestplay"
FILE=$(mktmp)

sox $1 -c1 -r8000 -b16 --encoding signed-integer -L $FILE.raw
$CONVERTER -e -i $FILE.raw -o /dev/stdout | \
$PLAYER \
  --server-address $SERVER \
  --client-number $CLIENT \
  --client-password $PASSWORD \
  --source-id $2 \
  --group-id $3
